#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n, x, ans = 0, cur = 0, pre = numeric_limits<decltype(pre)>::min();
    cin >> n;
    while (n--)
    {
        cin >> x;
        if (x > pre)
            cur++;
        else
            ans = max(ans, cur), cur = 1;
        pre = x;
    }
    cout << max(ans, cur);
    return 0;
}
